\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - CGAL and the Boost Graph Library

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
CGAL::Halfedge_around_target_circulator< Graph > Class Template Reference
Iterators and Circulators

`#include <CGAL/boost/graph/iterator.h>`

## Definition

A bidirectional circulator with value type `boost::graph_traits<Graph>::halfedge_descriptor` over all halfedges having the same vertex as target.

Let `h` be a halfedge of graph `g`. For a `Halfedge_around_target_circulator` `havc` with `h = *havc;` the following holds: `opposite(next(h,g),g) == *++havc`.

Template Parameters

  Graph | must be a model of the concept `HalfedgeGraph`

Is Model Of:
  `BidirectionalCirculator`

## Public Member Functions
| Halfedge_around_target_circulator ()
| Halfedge_around_target_circulator (halfedge_descriptor pos, const Graph &g)
| Halfedge_around_target_circulator (vertex_descriptor vd, const Graph &g)